Bug 1436854 - miq worker in aborted status
Summary: miq worker in aborted status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Joe Rafaniello
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1429747
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-28 20:53 UTC by Satoe Imaishi
Modified: 2020-04-15 15:33 UTC (History)
10 users (show)

Fixed In Version: 5.7.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1429747
Environment:
Last Closed: 2017-04-12 14:47:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-28 21:01:01 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/81ccccc3b774b109008650456355b6668a36d9fe

commit 81ccccc3b774b109008650456355b6668a36d9fe
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Mar 27 22:02:48 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Mar 28 16:56:02 2017 -0400

    Merge pull request #14365 from jrafanie/dont_retry_failed_message
    
    If we can't update_attributes on a queue row, set state to error
    (cherry picked from commit 90cd1b0f7648f1246631aeb7f0eac18d2b0b6818)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436854

 app/models/miq_queue_worker_base/runner.rb       |  3 ++-
 spec/factories/miq_worker.rb                     |  1 +
 spec/models/miq_queue_worker_base/runner_spec.rb | 24 ++++++++++++++++++++++++
 3 files changed, 27 insertions(+), 1 deletion(-)
 create mode 100644 spec/models/miq_queue_worker_base/runner_spec.rb

Comment 3 errata-xmlrpc 2017-04-12 14:47:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.